Patchwork [3/4] lttng-tools: add PACKAGECONFIG to support --enable-python-bindings and lttng-ust

login
register
mail settings
Submitter Hongxu Jia
Date Nov. 21, 2013, 1:14 p.m.
Message ID <3177e964cb6b15eebb3c6d26360c9028feace1ed.1385039538.git.hongxu.jia@windriver.com>
Download mbox | patch
Permalink /patch/62149/
State New
Headers show

Comments

Hongxu Jia - Nov. 21, 2013, 1:14 p.m.
Add PACKAGECONFIG to support --enable-python-bindings
Add PACKAGECONFIG to support lttng-ust

Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
---
 meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb | 20 ++++++++++++++++----
 1 file changed, 16 insertions(+), 4 deletions(-)
Hongxu Jia - Nov. 22, 2013, 6:39 a.m.
On 11/21/2013 09:14 PM, Hongxu Jia wrote:
> Add PACKAGECONFIG to support --enable-python-bindings
> Add PACKAGECONFIG to support lttng-ust
>
> Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
> ---
>   meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb | 20 ++++++++++++++++----
>   1 file changed, 16 insertions(+), 4 deletions(-)
>
> diff --git a/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb b/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
> index 2f6e504..64b6e02 100644
> --- a/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
> +++ b/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
> @@ -9,9 +9,18 @@ LIC_FILES_CHKSUM = "file://LICENSE;md5=01d7fc4496aacf37d90df90b90b0cac1 \
>                       file://gpl-2.0.txt;md5=b234ee4d69f5fce4486a80fdaf4a4263 \
>                       file://lgpl-2.1.txt;md5=0f0d71500e6a57fd24d825f33242b9ca"
>   
> -DEPENDS = "liburcu popt lttng-ust"
> +DEPENDS = "liburcu popt"
>   RDEPENDS_${PN}-ptest += "make"
>   
> +PYTHON_OPTION = "am_cv_python_pyexecdir='${libdir}/python${PYTHON_BASEVERSION}/site-packages' \
> +                 am_cv_python_pythondir='${libdir}/python${PYTHON_BASEVERSION}/site-packages' \
> +                 PYTHON_INCLUDE='-I${STAGING_INCDIR}/python${PYTHON_BASEVERSION}' \
> +"
> +PACKAGECONFIG = "python lttng-ust"

s/=/??=/

I have updated the git branch

   git://git.pokylinux.org/poky-contrib hongxu/fix-add-python
   http://git.pokylinux.org/cgit.cgi/poky-contrib/log/?h=hongxu/fix-add-python


//Hongxu

> +PACKAGECONFIG[python] = "--enable-python-bindings ${PYTHON_OPTION}, \
> +                         --disable-python-bindings, python swig-native"
> +PACKAGECONFIG[lttng-ust] = "--enable-lttng-ust, --disable-lttng-ust, lttng-ust"
> +
>   SRCREV = "5d985544a7ad54afa0514ea7f522a89d8d844860"
>   PV = "v2.3.1"
>   
> @@ -26,12 +35,15 @@ inherit autotools ptest
>   
>   export KERNELDIR="${STAGING_KERNEL_DIR}"
>   
> -FILES_${PN} += "${libdir}/lttng/libexec/*"
> -FILES_${PN}-dbg += "${libdir}/lttng/libexec/.debug"
> +FILES_${PN} += "${libdir}/lttng/libexec/* ${libdir}/python${PYTHON_BASEVERSION}/site-packages/*"
> +FILES_${PN}-dbg += "${libdir}/lttng/libexec/.debug ${libdir}/python2.7/site-packages/.debug"
> +FILES_${PN}-staticdev += "${libdir}/python${PYTHON_BASEVERSION}/site-packages/*.a"
> +FILES_${PN}-dev += "${libdir}/python${PYTHON_BASEVERSION}/site-packages/*.la"
>   
>   # Since files are installed into ${libdir}/lttng/libexec we match
>   # the libexec insane test so skip it.
> -INSANE_SKIP_${PN} = "libexec"
> +# Python module needs to keep _lttng.so
> +INSANE_SKIP_${PN} = "libexec dev-so"
>   INSANE_SKIP_${PN}-dbg = "libexec"
>   
>
Saul Wold - Nov. 22, 2013, 10:30 p.m.
On 11/21/2013 05:14 AM, Hongxu Jia wrote:
> Add PACKAGECONFIG to support --enable-python-bindings
> Add PACKAGECONFIG to support lttng-ust
>
> Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
> ---
>   meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb | 20 ++++++++++++++++----
>   1 file changed, 16 insertions(+), 4 deletions(-)
>
> diff --git a/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb b/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
> index 2f6e504..64b6e02 100644
> --- a/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
> +++ b/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
> @@ -9,9 +9,18 @@ LIC_FILES_CHKSUM = "file://LICENSE;md5=01d7fc4496aacf37d90df90b90b0cac1 \
>                       file://gpl-2.0.txt;md5=b234ee4d69f5fce4486a80fdaf4a4263 \
>                       file://lgpl-2.1.txt;md5=0f0d71500e6a57fd24d825f33242b9ca"
>
> -DEPENDS = "liburcu popt lttng-ust"
> +DEPENDS = "liburcu popt"
>   RDEPENDS_${PN}-ptest += "make"
>
> +PYTHON_OPTION = "am_cv_python_pyexecdir='${libdir}/python${PYTHON_BASEVERSION}/site-packages' \
> +                 am_cv_python_pythondir='${libdir}/python${PYTHON_BASEVERSION}/site-packages' \
> +                 PYTHON_INCLUDE='-I${STAGING_INCDIR}/python${PYTHON_BASEVERSION}' \
> +"
> +PACKAGECONFIG = "python lttng-ust"
> +PACKAGECONFIG[python] = "--enable-python-bindings ${PYTHON_OPTION}, \
> +                         --disable-python-bindings, python swig-native"

This seems to bring in a new dependency on "swig", which is not part of 
OE-Core.

Sau!

> +PACKAGECONFIG[lttng-ust] = "--enable-lttng-ust, --disable-lttng-ust, lttng-ust"
> +
>   SRCREV = "5d985544a7ad54afa0514ea7f522a89d8d844860"
>   PV = "v2.3.1"
>
> @@ -26,12 +35,15 @@ inherit autotools ptest
>
>   export KERNELDIR="${STAGING_KERNEL_DIR}"
>
> -FILES_${PN} += "${libdir}/lttng/libexec/*"
> -FILES_${PN}-dbg += "${libdir}/lttng/libexec/.debug"
> +FILES_${PN} += "${libdir}/lttng/libexec/* ${libdir}/python${PYTHON_BASEVERSION}/site-packages/*"
> +FILES_${PN}-dbg += "${libdir}/lttng/libexec/.debug ${libdir}/python2.7/site-packages/.debug"
> +FILES_${PN}-staticdev += "${libdir}/python${PYTHON_BASEVERSION}/site-packages/*.a"
> +FILES_${PN}-dev += "${libdir}/python${PYTHON_BASEVERSION}/site-packages/*.la"
>
>   # Since files are installed into ${libdir}/lttng/libexec we match
>   # the libexec insane test so skip it.
> -INSANE_SKIP_${PN} = "libexec"
> +# Python module needs to keep _lttng.so
> +INSANE_SKIP_${PN} = "libexec dev-so"
>   INSANE_SKIP_${PN}-dbg = "libexec"
>
>
>
Hongxu Jia - Nov. 23, 2013, 1:56 a.m.
On 11/23/2013 06:30 AM, Saul Wold wrote:
> On 11/21/2013 05:14 AM, Hongxu Jia wrote:
>> Add PACKAGECONFIG to support --enable-python-bindings
>> Add PACKAGECONFIG to support lttng-ust
>>
>> Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
>> ---
>>   meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb | 20 
>> ++++++++++++++++----
>>   1 file changed, 16 insertions(+), 4 deletions(-)
>>
>> diff --git a/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb 
>> b/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
>> index 2f6e504..64b6e02 100644
>> --- a/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
>> +++ b/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
>> @@ -9,9 +9,18 @@ LIC_FILES_CHKSUM = 
>> "file://LICENSE;md5=01d7fc4496aacf37d90df90b90b0cac1 \
>> file://gpl-2.0.txt;md5=b234ee4d69f5fce4486a80fdaf4a4263 \
>> file://lgpl-2.1.txt;md5=0f0d71500e6a57fd24d825f33242b9ca"
>>
>> -DEPENDS = "liburcu popt lttng-ust"
>> +DEPENDS = "liburcu popt"
>>   RDEPENDS_${PN}-ptest += "make"
>>
>> +PYTHON_OPTION = 
>> "am_cv_python_pyexecdir='${libdir}/python${PYTHON_BASEVERSION}/site-packages' 
>> \
>> + 
>> am_cv_python_pythondir='${libdir}/python${PYTHON_BASEVERSION}/site-packages' 
>> \
>> + PYTHON_INCLUDE='-I${STAGING_INCDIR}/python${PYTHON_BASEVERSION}' \
>> +"
>> +PACKAGECONFIG = "python lttng-ust"
>> +PACKAGECONFIG[python] = "--enable-python-bindings ${PYTHON_OPTION}, \
>> +                         --disable-python-bindings, python swig-native"
>
> This seems to bring in a new dependency on "swig", which is not part 
> of OE-Core.
>

Oh, The Windriver Linux have swig by default, we should
disable python for OE-Core.

s/PACKAGECONFIG = "python lttng-ust" /PACKAGECONFIG ??= "lttng-ust"/

//Hongxu
> Sau!
>
>> +PACKAGECONFIG[lttng-ust] = "--enable-lttng-ust, --disable-lttng-ust, 
>> lttng-ust"
>> +
>>   SRCREV = "5d985544a7ad54afa0514ea7f522a89d8d844860"
>>   PV = "v2.3.1"
>>
>> @@ -26,12 +35,15 @@ inherit autotools ptest
>>
>>   export KERNELDIR="${STAGING_KERNEL_DIR}"
>>
>> -FILES_${PN} += "${libdir}/lttng/libexec/*"
>> -FILES_${PN}-dbg += "${libdir}/lttng/libexec/.debug"
>> +FILES_${PN} += "${libdir}/lttng/libexec/* 
>> ${libdir}/python${PYTHON_BASEVERSION}/site-packages/*"
>> +FILES_${PN}-dbg += "${libdir}/lttng/libexec/.debug 
>> ${libdir}/python2.7/site-packages/.debug"
>> +FILES_${PN}-staticdev += 
>> "${libdir}/python${PYTHON_BASEVERSION}/site-packages/*.a"
>> +FILES_${PN}-dev += 
>> "${libdir}/python${PYTHON_BASEVERSION}/site-packages/*.la"
>>
>>   # Since files are installed into ${libdir}/lttng/libexec we match
>>   # the libexec insane test so skip it.
>> -INSANE_SKIP_${PN} = "libexec"
>> +# Python module needs to keep _lttng.so
>> +INSANE_SKIP_${PN} = "libexec dev-so"
>>   INSANE_SKIP_${PN}-dbg = "libexec"
>>
>>
>>
>
Hongxu Jia - Nov. 23, 2013, 2:02 a.m.
On 11/23/2013 09:56 AM, Hongxu Jia wrote:
> On 11/23/2013 06:30 AM, Saul Wold wrote:
>> On 11/21/2013 05:14 AM, Hongxu Jia wrote:
>>> Add PACKAGECONFIG to support --enable-python-bindings
>>> Add PACKAGECONFIG to support lttng-ust
>>>
>>> Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
>>> ---
>>>   meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb | 20 
>>> ++++++++++++++++----
>>>   1 file changed, 16 insertions(+), 4 deletions(-)
>>>
>>> diff --git a/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb 
>>> b/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
>>> index 2f6e504..64b6e02 100644
>>> --- a/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
>>> +++ b/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
>>> @@ -9,9 +9,18 @@ LIC_FILES_CHKSUM = 
>>> "file://LICENSE;md5=01d7fc4496aacf37d90df90b90b0cac1 \
>>> file://gpl-2.0.txt;md5=b234ee4d69f5fce4486a80fdaf4a4263 \
>>> file://lgpl-2.1.txt;md5=0f0d71500e6a57fd24d825f33242b9ca"
>>>
>>> -DEPENDS = "liburcu popt lttng-ust"
>>> +DEPENDS = "liburcu popt"
>>>   RDEPENDS_${PN}-ptest += "make"
>>>
>>> +PYTHON_OPTION = 
>>> "am_cv_python_pyexecdir='${libdir}/python${PYTHON_BASEVERSION}/site-packages' 
>>> \
>>> + 
>>> am_cv_python_pythondir='${libdir}/python${PYTHON_BASEVERSION}/site-packages' 
>>> \
>>> + PYTHON_INCLUDE='-I${STAGING_INCDIR}/python${PYTHON_BASEVERSION}' \
>>> +"
>>> +PACKAGECONFIG = "python lttng-ust"
>>> +PACKAGECONFIG[python] = "--enable-python-bindings ${PYTHON_OPTION}, \
>>> +                         --disable-python-bindings, python 
>>> swig-native"
>>
>> This seems to bring in a new dependency on "swig", which is not part 
>> of OE-Core.
>>
>
> Oh, The Windriver Linux have swig by default, we should
> disable python for OE-Core.
>
> s/PACKAGECONFIG = "python lttng-ust" /PACKAGECONFIG ??= "lttng-ust"/
>

Have updated the git tree to do this.

//Hongxu


> //Hongxu
>> Sau!
>>
>>> +PACKAGECONFIG[lttng-ust] = "--enable-lttng-ust, 
>>> --disable-lttng-ust, lttng-ust"
>>> +
>>>   SRCREV = "5d985544a7ad54afa0514ea7f522a89d8d844860"
>>>   PV = "v2.3.1"
>>>
>>> @@ -26,12 +35,15 @@ inherit autotools ptest
>>>
>>>   export KERNELDIR="${STAGING_KERNEL_DIR}"
>>>
>>> -FILES_${PN} += "${libdir}/lttng/libexec/*"
>>> -FILES_${PN}-dbg += "${libdir}/lttng/libexec/.debug"
>>> +FILES_${PN} += "${libdir}/lttng/libexec/* 
>>> ${libdir}/python${PYTHON_BASEVERSION}/site-packages/*"
>>> +FILES_${PN}-dbg += "${libdir}/lttng/libexec/.debug 
>>> ${libdir}/python2.7/site-packages/.debug"
>>> +FILES_${PN}-staticdev += 
>>> "${libdir}/python${PYTHON_BASEVERSION}/site-packages/*.a"
>>> +FILES_${PN}-dev += 
>>> "${libdir}/python${PYTHON_BASEVERSION}/site-packages/*.la"
>>>
>>>   # Since files are installed into ${libdir}/lttng/libexec we match
>>>   # the libexec insane test so skip it.
>>> -INSANE_SKIP_${PN} = "libexec"
>>> +# Python module needs to keep _lttng.so
>>> +INSANE_SKIP_${PN} = "libexec dev-so"
>>>   INSANE_SKIP_${PN}-dbg = "libexec"
>>>
>>>
>>>
>>
>
> _______________________________________________
> Openembedded-core mailing list
> Openembedded-core@lists.openembedded.org
> http://lists.openembedded.org/mailman/listinfo/openembedded-core
Saul Wold - Dec. 5, 2013, 11:18 p.m.
On 11/22/2013 06:02 PM, Hongxu Jia wrote:
> On 11/23/2013 09:56 AM, Hongxu Jia wrote:
>> On 11/23/2013 06:30 AM, Saul Wold wrote:
>>> On 11/21/2013 05:14 AM, Hongxu Jia wrote:
>>>> Add PACKAGECONFIG to support --enable-python-bindings
>>>> Add PACKAGECONFIG to support lttng-ust
>>>>
>>>> Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
>>>> ---
>>>>   meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb | 20
>>>> ++++++++++++++++----
>>>>   1 file changed, 16 insertions(+), 4 deletions(-)
>>>>
>>>> diff --git a/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
>>>> b/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
>>>> index 2f6e504..64b6e02 100644
>>>> --- a/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
>>>> +++ b/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
>>>> @@ -9,9 +9,18 @@ LIC_FILES_CHKSUM =
>>>> "file://LICENSE;md5=01d7fc4496aacf37d90df90b90b0cac1 \
>>>> file://gpl-2.0.txt;md5=b234ee4d69f5fce4486a80fdaf4a4263 \
>>>> file://lgpl-2.1.txt;md5=0f0d71500e6a57fd24d825f33242b9ca"
>>>>
>>>> -DEPENDS = "liburcu popt lttng-ust"
>>>> +DEPENDS = "liburcu popt"
>>>>   RDEPENDS_${PN}-ptest += "make"
>>>>
>>>> +PYTHON_OPTION =
>>>> "am_cv_python_pyexecdir='${libdir}/python${PYTHON_BASEVERSION}/site-packages'
>>>> \
>>>> +
>>>> am_cv_python_pythondir='${libdir}/python${PYTHON_BASEVERSION}/site-packages'
>>>> \
>>>> + PYTHON_INCLUDE='-I${STAGING_INCDIR}/python${PYTHON_BASEVERSION}' \
>>>> +"
>>>> +PACKAGECONFIG = "python lttng-ust"
>>>> +PACKAGECONFIG[python] = "--enable-python-bindings ${PYTHON_OPTION}, \
>>>> +                         --disable-python-bindings, python
>>>> swig-native"
>>>
>>> This seems to bring in a new dependency on "swig", which is not part
>>> of OE-Core.
>>>
>>
>> Oh, The Windriver Linux have swig by default, we should
>> disable python for OE-Core.
>>
>> s/PACKAGECONFIG = "python lttng-ust" /PACKAGECONFIG ??= "lttng-ust"/
>>
>
> Have updated the git tree to do this.
>

There still seems to be an issue with this patch, but it might be a 
problem with lttng-tool's configure.ac.  When --disable-python-bindings 
is set, it still tries to check for SWIG (which you might have in your 
build).

Please verify this.

Thanks
> //Hongxu
>
>
>> //Hongxu
>>> Sau!
>>>
>>>> +PACKAGECONFIG[lttng-ust] = "--enable-lttng-ust,
>>>> --disable-lttng-ust, lttng-ust"
>>>> +
>>>>   SRCREV = "5d985544a7ad54afa0514ea7f522a89d8d844860"
>>>>   PV = "v2.3.1"
>>>>
>>>> @@ -26,12 +35,15 @@ inherit autotools ptest
>>>>
>>>>   export KERNELDIR="${STAGING_KERNEL_DIR}"
>>>>
>>>> -FILES_${PN} += "${libdir}/lttng/libexec/*"
>>>> -FILES_${PN}-dbg += "${libdir}/lttng/libexec/.debug"
>>>> +FILES_${PN} += "${libdir}/lttng/libexec/*
>>>> ${libdir}/python${PYTHON_BASEVERSION}/site-packages/*"
>>>> +FILES_${PN}-dbg += "${libdir}/lttng/libexec/.debug
>>>> ${libdir}/python2.7/site-packages/.debug"
>>>> +FILES_${PN}-staticdev +=
>>>> "${libdir}/python${PYTHON_BASEVERSION}/site-packages/*.a"
>>>> +FILES_${PN}-dev +=
>>>> "${libdir}/python${PYTHON_BASEVERSION}/site-packages/*.la"
>>>>
>>>>   # Since files are installed into ${libdir}/lttng/libexec we match
>>>>   # the libexec insane test so skip it.
>>>> -INSANE_SKIP_${PN} = "libexec"
>>>> +# Python module needs to keep _lttng.so
>>>> +INSANE_SKIP_${PN} = "libexec dev-so"
>>>>   INSANE_SKIP_${PN}-dbg = "libexec"
>>>>
>>>>
>>>>
>>>
>>
>> _______________________________________________
>> Openembedded-core mailing list
>> Openembedded-core@lists.openembedded.org
>> http://lists.openembedded.org/mailman/listinfo/openembedded-core
>
>
>

Patch

diff --git a/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb b/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
index 2f6e504..64b6e02 100644
--- a/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
+++ b/meta/recipes-kernel/lttng/lttng-tools_2.3.1.bb
@@ -9,9 +9,18 @@  LIC_FILES_CHKSUM = "file://LICENSE;md5=01d7fc4496aacf37d90df90b90b0cac1 \
                     file://gpl-2.0.txt;md5=b234ee4d69f5fce4486a80fdaf4a4263 \
                     file://lgpl-2.1.txt;md5=0f0d71500e6a57fd24d825f33242b9ca"
 
-DEPENDS = "liburcu popt lttng-ust"
+DEPENDS = "liburcu popt"
 RDEPENDS_${PN}-ptest += "make"
 
+PYTHON_OPTION = "am_cv_python_pyexecdir='${libdir}/python${PYTHON_BASEVERSION}/site-packages' \
+                 am_cv_python_pythondir='${libdir}/python${PYTHON_BASEVERSION}/site-packages' \
+                 PYTHON_INCLUDE='-I${STAGING_INCDIR}/python${PYTHON_BASEVERSION}' \
+"
+PACKAGECONFIG = "python lttng-ust"
+PACKAGECONFIG[python] = "--enable-python-bindings ${PYTHON_OPTION}, \
+                         --disable-python-bindings, python swig-native"
+PACKAGECONFIG[lttng-ust] = "--enable-lttng-ust, --disable-lttng-ust, lttng-ust"
+
 SRCREV = "5d985544a7ad54afa0514ea7f522a89d8d844860"
 PV = "v2.3.1"
 
@@ -26,12 +35,15 @@  inherit autotools ptest
 
 export KERNELDIR="${STAGING_KERNEL_DIR}"
 
-FILES_${PN} += "${libdir}/lttng/libexec/*"
-FILES_${PN}-dbg += "${libdir}/lttng/libexec/.debug"
+FILES_${PN} += "${libdir}/lttng/libexec/* ${libdir}/python${PYTHON_BASEVERSION}/site-packages/*"
+FILES_${PN}-dbg += "${libdir}/lttng/libexec/.debug ${libdir}/python2.7/site-packages/.debug"
+FILES_${PN}-staticdev += "${libdir}/python${PYTHON_BASEVERSION}/site-packages/*.a"
+FILES_${PN}-dev += "${libdir}/python${PYTHON_BASEVERSION}/site-packages/*.la"
 
 # Since files are installed into ${libdir}/lttng/libexec we match 
 # the libexec insane test so skip it.
-INSANE_SKIP_${PN} = "libexec"
+# Python module needs to keep _lttng.so
+INSANE_SKIP_${PN} = "libexec dev-so"
 INSANE_SKIP_${PN}-dbg = "libexec"